HPRT AI Platform
开发者接入Overview

Submit Job Action

POST
/api/v1/jobs/{job_id}/actions

Path Parameters

job_id*Job Id
Formatuuid

Header Parameters

Idempotency-Key?|null
X-Anonymous-Id?|null
X-Client-App?string|null
Authorization?string|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v1/jobs/497f6eca-6276-4993-bfeb-53cbbbba6f08/actions" \  -H "Content-Type: application/json" \  -d '{    "action_type": "select_targets",    "expected_revision": 1,    "input": {}  }'
{  "accepted_revision": 0,  "action_type": "string",  "created_at": "2019-08-24T14:15:22Z",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f",  "status": "accepted"}